## org.apache.mahout.df.mapreduce
Class Classifier

    java.lang.Object
      org.apache.mahout.df.mapreduce.Classifier

    public class Classifier

extends java.lang.Object

Mapreduce implementation that classifies the Input data using a previousely built decision forest

Nested Class Summary
`static class` `Classifier.CMapper`
`static class` `Classifier.CTextInputFormat` TextInputFormat that does not split the input files.

Constructor Summary
`Classifier(org.apache.hadoop.fs.Path forestPath, org.apache.hadoop.fs.Path inputPath, org.apache.hadoop.fs.Path datasetPath, org.apache.hadoop.fs.Path outputPath, org.apache.hadoop.conf.Configuration conf, boolean analyze)`

Method Summary
`ResultAnalyzer` `getAnalyzer()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Classifier

    public Classifier(org.apache.hadoop.fs.Path forestPath,
                      org.apache.hadoop.fs.Path inputPath,
                      org.apache.hadoop.fs.Path datasetPath,
                      org.apache.hadoop.fs.Path outputPath,
                      org.apache.hadoop.conf.Configuration conf,
                      boolean analyze)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getAnalyzer

    public ResultAnalyzer getAnalyzer()

### run

    public void run()
             throws java.io.IOException,
                    java.lang.ClassNotFoundException,
                    java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.